Bug 861297 - [enhancement]: Allow self-heal to balance sources in replica sets greater than two
[enhancement]: Allow self-heal to balance sources in replica sets greater tha...
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Pranith Kumar K
Depends On:
  Show dependency treegraph
Reported: 2012-09-28 01:20 EDT by Joe Julian
Modified: 2014-12-14 14:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-12-14 14:40:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-09-28 01:20:46 EDT
Description of problem:
I replaced a server in a replica 3 volume. The rebuild put a considerable (load average 150) load on just the second server of the three while the new and 3rd server stayed basically idle (the write speed of the new server far exceeded the gigabit Ethernet connection).

Since it was the first server in the set that I replaced, the second and third servers were sane (I made sure before shutting down the first server) so they both could have been used as sources.

It would be nice if the self-heal load could be shared among all the sane servers in the replica set.
Comment 1 Niels de Vos 2014-11-27 09:53:54 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.